%{?nodejs_find_provides_and_requires}

%global packagename cpr
%global enable_tests 0

Name:		nodejs-cpr
Version:	0.4.3
Release:	1%{?dist}
Summary:	Provides cp -R

License:	BSD
URL:		https://github.com/davglass/cpr.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(istanbul)
BuildRequires:	npm(jshint)
BuildRequires:	npm(vows)
BuildRequires:	npm(yui-lint)
%endif

Requires:	nodejs

%description
cp -R


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul cover --print both -- vows --spec ./tests/full.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 0.4.3-1
- Initial packaging
- Tests disabled for bootstrapping
